跳至内容

管理路由表

先决条件

身份验证 - 请提交您的用户凭据、客户端 ID 和客户端密钥以进行 OAuth2 身份验证。有关如何调用 OAuth API 来验证和确认您的凭据的说明,请参阅API 身份验证

更新路由表

要触发 Fabric Cloud Router 路由表的更新,请向 /fabric/v4/routers/{uuid}/actions 端点发送 POST 请求。

POST /fabric/v4/routers/{uuid}/actions
MethodPOST
URL or Endpoint/fabric/v4/routers/{uuid}/actions
HeadersAuthorization, Content-Type
Path Parametersuuid
Query ParametersNot applicable
Body Parameterstype

示例 curl 请求:

curl -X
POST 'https://api.equinix.com/fabric/v4/routers/{router_uuid}/actions'
-H 'content-type: application/json'
-H 'authorization: Bearer <token>'
-d '{
    "type": "ROUTE_TABLE_ENTRY_UPDATE"
}'

机身参数:

  • type (required) string - The routing table management action. To update your routing tables, use ROUTE_TABLE_ENTRY_UPDATE. To see all the prefixes learned via BGP, use RECEIVED_ROUTE_ENTRY_UPDATE. To See the prefixes that FCR is sending via BGP, use ADVERTISED_ROUTE_ENTRY_UPDATE.

  • connection (optional) object - An object that contains a uuid field to specify a connection. Only required for RECEIVED_ROUTE_ENTRY_UPDATE and ADVERTISED_ROUTE_ENTRY_UPDATE types.

有关完整的参数信息和示例,请参阅API 参考

示例响应:

{
    "type": "ROUTE_TABLE_ENTRY_UPDATE",
    "uuid": "37c10edc-ba2e-4240-a850-8a48f9c47d00",
    "state": "PENDING",
    "changeLog": {
        "createdDateTime": "2021-07-15T19:30:29.526Z",
        "updatedDateTime": "2021-08-15T19:30:29.526Z"
    }
}

获取路由表管理请求

要获取路由表管理请求列表,请向 /fabric/v4/routers/{uuid}/actions 端点发送 GET 请求。使用 state 查询参数按请求状态筛选响应。

GET /fabric/v4/routers/{uuid}/actions
MethodGET
URL or Endpoint/fabric/v4/routers/{uuid}/actions
HeadersAuthorization
Path Parametersuuid
Query Parametersstate
Body ParametersNot applicable

此 API 检索路由表管理操作请求。

示例 curl 请求

curl -X
GET 'https://api.equinix.com/fabric/v4/routers/{router_uuid}/actions?state=<state>'
-H 'authorization: Bearer <token>'

查询参数:

  • state (optional) string - Action execution status. Applicable values: PENDING, SUCCEEDED, or FAILED.

示例响应:

{
    "type": "ROUTE_TABLE_ENTRY_UPDATE",
    "uuid": "37c10edc-ba2e-4240-a850-8a48f9c47d00",
    "state": "PENDING",
    "changeLog": {
        "createdDateTime": "2021-07-15T19:30:29.526Z",
        "updatedDateTime": "2021-08-15T19:30:29.526Z"
    }
}

搜索路由表管理请求

要搜索路由表管理请求,请向 /fabric/v4/routers/{routerId}/actions/search 端点发送 POST 请求,并在请求正文中指定搜索条件。

POST /fabric/v4/routers/{routerId}/actions/search
MethodPOST
URL or Endpoint/fabric/v4/routers/{routerId}/actions/search
HeadersAuthorization, Content-Type
Path ParametersrouterId
Query ParametersNot applicable
Body Parametersfilter, pagination, sort

示例 curl 请求:

curl -X POST 'http: //api.equinix.com/fabric/v4/routers/{router_uuid}/actions/search'
-H 'content-type: application/json'
-H 'authorization: Bearer <token>'
-d '{
  "filter": {
    "and": [
      {
        "property": "/type",
        "operator": "IN",
        "values": [
          "ROUTE_TABLE_ENTRY_UPDATE",
          "RECEIVED_ROUTE_ENTRY_UPDATE"
        ]
      },
      {
        "property": "/state",
        "operator": "=",
        "values": [
          "SUCCEEDED"
        ]
      },
      {
        "property": "/connection/uuid",
        "operator": "IN",
        "values": [
          "3066ab1d-af87-49d7-8a14-c9bdb57ac809"
        ]
      }
    ]
  },
  "pagination": {
    "offset": 0,
    "limit": 1
  },
  "sort": [
    {
      "property": "/changeLog/createdDateTime",
      "direction": "DESC"
    }
  ]
}'

值得注意的身体参数:

  • filter (required) object - The object that defines your search conditions.

  • and (required) array[object] - An array object that serves as the logical operator applied on the search objects in the array. You can search on:

    • property (required) string - Search field parameter. Note that the property value determines the list of applicable operators and values. Applicable values: "/name", "/uuid", "/state", "/location/metroCode", "/location/metroName", "/package/code" and an all-category search "\*".
    • operator (required) string - Search field parameter operator. Applicable values: "=", "!=", ">", ">=", "<", "<=", BETWEEN, LIKE, IN, "NOT BETWEEN", "NOT LIKE", "NOT IN".
    • value (required) array[string] - Search field parameter value.
  • pagination object - Optional object containing search results pagination settings with offset integer and limit integer fields.

  • sort object - Optional object that defines your search result sorting settings with direction string and property string fields.

有关可搜索属性、分页限制和可排序属性的完整列表,请参阅API 参考

示例响应:

{
  "pagination": {
    "offset": 0,
    "limit": 1,
    "total": 2,
    "prev": null,
    "next": null
  },
  "data": [
    {
      "href": "https://api.equinix.com//fabric/v4/routers/a1c6b7fd-aead-410a-96b4-b1dfa1071700/actions/1e9414f1-763e-4c0a-86c6-0bc8336048d9",
      "uuid": "1e9414f1-763e-4c0a-86c6-0bc8336048d9",
      "type": "RECEIVED_ROUTE_ENTRY_UPDATE",
      "state": "SUCCEEDED",
      "connection": {
        "uuid": "3066ab1d-af87-49d7-8a14-c9bdb57ac809"
      },
      "operation": {
        "bgpIpv4RoutesCount": 6,
        "bgpIpv6RoutesCount": 6
      },
      "changeLog": {
        "createdDateTime": "2024-01-01T01:00:00.000Z",
        "updatedDateTime": "2024-01-01T01:01:00.000Z"
      }
    }
  ]
}
此页面有帮助吗?